if(!settings.multipleView)
 settings.batchView=false;
settings.tex="pdflatex";
settings.inlinetex=true;
deletepreamble();

// Beginning of Asymptote Figure 1
eval(quote{
defaultfilename='intro_stats-1';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

import graph;
import stats;
size(400,200,IgnoreAspect);
real[] bins={60,75,90,105,120,135,150,165,180};
real[] mids={52.5,67.5,82.5,97.5,112.5,127.5,142.5,157.5,172.5,187.5};
real[] count={7,13,22,35,38,23,5,7};
real[] countwzeros={0,7,13,22,35,38,23,5,7,0};
real zerof(real x) {return 0.0;}
ylimits(0,40);
histogram(bins, count, bars=true);
xaxis("$\mbox{Payment}(\$)$",xmin=min(bins)-(bins[1]-bins[0]),xmax=max(bins)+(bins[1]-bins[0]),Bottom,LeftTicks(Ticks=bins));
yaxis("$\f$",Left,RightTicks(trailingzero));
picture q=secondaryY(new void(picture pic) {
    ylimits(pic,0.0,40/(15*150));
    draw(pic,graph(pic,zerof,45,195),invisible);
    yaxis(pic,"$\p\ (1/\$)$",Right,LeftTicks);
  });
add(q);
label(shift(5mm*N)*"Frequency Versus Monthly Satellite Phone Payment",point(N));
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 1

// Beginning of Asymptote Figure 2
eval(quote{
defaultfilename='intro_stats-2';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

import graph;
import stats;
size(400,200,IgnoreAspect);
real[] bins={60,75,90,105,120,135,150,165,180};
real[] mids={52.5,67.5,82.5,97.5,112.5,127.5,142.5,157.5,172.5,187.5};
real[] count={7,13,22,35,38,23,5,7};
real[] countwzeros={0,7,13,22,35,38,23,5,7,0};
real zerof(real x) {return 0.0;}
ylimits(0,40);
histogram(bins, count, bars=false);
xaxis("$\mbox{Payment}(\$)$",xmin=min(bins)-(bins[1]-bins[0]),xmax=max(bins)+(bins[1]-bins[0]),Bottom,LeftTicks(Ticks=bins));
yaxis("$\f$",Left,RightTicks(trailingzero));
draw(graph(mids,countwzeros),black+1);
picture q=secondaryY(new void(picture pic) {
    ylimits(pic,0.0,40/(15*150));
    draw(pic,graph(pic,zerof,45,195),invisible);
    yaxis(pic,"$\p\ (1/\$)$",Right,LeftTicks);
  });
add(q);
label(shift(5mm*N)*"Frequency Versus Monthly Satellite Phone Payment",point(N));
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 2

// Beginning of Asymptote Figure 3
eval(quote{
defaultfilename='intro_stats-3';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

import graph;
import stats;
size(400,200,IgnoreAspect);
real[] bins={60,75,90,105,120,135,150,165,180};
real[] cumulative={0,7,20,42,77,115,138,143,150};
real zerof(real x) {return 0.0;}
ylimits(0,max(cumulative));
draw(graph(bins,cumulative),black+1);
xaxis("$\mbox{Payment}(\$)$",xmin=min(bins),xmax=max(bins),Bottom,LeftTicks(Ticks=bins));
yaxis("$\lcf$",Left,RightTicks(trailingzero));
picture q=secondaryY(new void(picture pic) {
    ylimits(pic,0.0,1.0);
    draw(pic,graph(pic,zerof,60,180),invisible);
    yaxis(pic,"$\lcr$",Right,LeftTicks);
  });
add(q);
label(shift(5mm*N)*"Cumulative Frequency Versus Monthly Satellite Phone Payment",point(N));
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 3

// Beginning of Asymptote Figure 4
eval(quote{
defaultfilename='intro_stats-4';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

import graph;
import stats;
size(400,200,IgnoreAspect);
real[] bins={60,75,90,105,120,135,150,165,180};
real[] cumulative={0,7,20,42,77,115,138,143,150};
real zerof(real x) {return 0.0;}
ylimits(0,max(cumulative));
draw(graph(bins,cumulative),black+1);
xaxis("$\mbox{Payment}(\$)$",xmin=min(bins),xmax=max(bins),Bottom,LeftTicks(Ticks=bins));
yaxis("$\lcf$",Left,RightTicks(trailingzero));
picture q=secondaryY(new void(picture pic) {
    ylimits(pic,0.0,1.0);
    draw(pic,graph(pic,zerof,60,180),invisible);
    yaxis(pic,"$\lcr$",Right,LeftTicks);
    xequals(pic,110,ymin=0,ymax=.3586,dashed);
    yequals(pic,.3586,xmin=110,xmax=180,dashed);
    xequals(pic,130,ymin=0,ymax=.6827,dashed);
    yequals(pic,.6827,xmin=130,xmax=180,dashed);
  });
add(q);
label(shift(5mm*N)*"Cumulative Frequency Versus Monthly Satellite Phone Payment",point(N));
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 4

// Beginning of Asymptote Figure 5
eval(quote{
defaultfilename='intro_stats-5';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

import graph;
import stats;
size(400,200,IgnoreAspect);
real[] bins={5,15,25,35,45,55,65};
real[] binswzeros={-5,5,15,25,35,45,55,65,75};
real[] mids={0,10,20,30,40,50,60,70};
real[] count={5,8,12,6,5,4};
real[] countwzeros={0.00001,5,8,12,6,5,4,0};
real zerof(real x) {return 0.0;}
ylimits(0,12);
histogram(binswzeros, countwzeros, bars=true);
//histogram(bins, count, bars=true);
xaxis("$\mbox{Value}(\$)$",xmin=min(bins)-(bins[1]-bins[0]),xmax=max(bins)+(bins[1]-bins[0]),Bottom,LeftTicks(Ticks=bins));
draw(graph(mids,countwzeros),black+1);
yaxis("$\f$",Left,RightTicks(trailingzero));
picture q=secondaryY(new void(picture pic) {
    ylimits(pic,0.0,12/(10*40));
    draw(pic,graph(pic,zerof,-5,75),invisible);
    yaxis(pic,"$\p\ (1/\$)$",Right,LeftTicks);
  });
add(q);
label(shift(5mm*N)*"Frequency Versus Used Hard Drive Value",point(N));
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 5

// Beginning of Asymptote Figure 6
eval(quote{
defaultfilename='intro_stats-6';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

import graph;
import stats;
size(300,150,IgnoreAspect);
real[] bins={5,15,25,35,45,55,65};
real[] cumulative={0,5,13,25,31,36,40};
real[] myticks={0,.25,.50,.75,1};
real zerof(real x) {return 0.0;}
ylimits(0,max(cumulative));
draw(graph(bins,cumulative),black+1);
xaxis("$\mbox{Value}(\$)$",xmin=min(bins),xmax=max(bins),Bottom,LeftTicks(Ticks=bins));
yaxis("",Left,RightTicks(trailingzero));
picture q=secondaryY(new void(picture pic) {
    ylimits(pic,0.0,1.0);
    draw(pic,graph(pic,zerof,5,65),invisible);
    yaxis(pic,"$\lcr$",Right,LeftTicks(Ticks=myticks));
    yequals(pic,.5,xmin=30.83,xmax=65,dashed);
    xequals(pic,30.83,ymin=0,ymax=.5,dashed);
  });
label(q,"$\frac{1}{2}\sum\f=$",Scale(q,(-5.4,.53)),black);
label(q,"$\sum\f=$",Scale(q,(-5,1.03)),black);
label(q,"$\lcf$",Scale(q,(-5,.78)),black);
add(q);
label(shift(5mm*N)*"~~~~~~~Cumulative Frequency Versus Hard Drive Value",point(N));
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 6

// Beginning of Asymptote Figure 7
eval(quote{
defaultfilename='intro_stats-7';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

import graph;
import stats;
size(180,180,IgnoreAspect);
real[] bins={0,40,80,120,160,200};
real[] binswzeros={-40,0,40,80,120,160,200,240};
real[] mids={-20,20,60,100,140,180,220};
real[] count={20,29,51,28,22};
real[] countwzeros={0.00001,20,29,51,28,22,0};
real zerof(real x) {return 0.0;}
ylimits(0,51);
histogram(binswzeros, countwzeros, bars=true);
xaxis("$\mbox{Value}(\$)$",xmin=min(bins)-(bins[1]-bins[0]),xmax=max(bins)+(bins[1]-bins[0]),Bottom,LeftTicks(Label(fontsize(10pt)),Ticks=bins));
yaxis("$\f$",Left,RightTicks(Label(fontsize(10pt))));
draw(graph(mids,countwzeros),black+1);
picture q=secondaryY(new void(picture pic) {
    ylimits(pic,0.0,51/(40*150));
    draw(pic,graph(pic,zerof,-40,240),invisible);
    yaxis(pic,"$\p\ (1/\$)$",Right,LeftTicks(Label(fontsize(10pt))));
  });
add(q);
xequals(100,ymin=0,ymax=50,dashed);
dot(shift(2mm*N)*"Mode",(100,0),NW,fontsize(8pt));
dot(shift(.5mm*N)*"$\scriptstyle\pmean$",(100.80,0),NE);
label(shift(5mm*N)*"Number of Purchases vs Purchase Value",point(N),fontsize(10pt));
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 7

// Beginning of Asymptote Figure 8
eval(quote{
defaultfilename='intro_stats-8';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

import graph;
import stats;
size(180,180,IgnoreAspect);
real[] bins={0,40,80,120,160,200};
real[] cumulative={0,20,49,100,128,150};
real[] myticks={0,.25,.50,.75,1};
real zerof(real x) {return 0.0;}
ylimits(0,max(cumulative));
draw(graph(bins,cumulative),black+1);
xaxis("$\mbox{Value}(\$)$",xmin=min(bins),xmax=max(bins),Bottom,LeftTicks(Label(fontsize(10pt)),Ticks=bins));
yaxis("$\lcf$",Left,RightTicks(Label(fontsize(10pt))));
picture q=secondaryY(new void(picture pic) {
    ylimits(pic,0.0,1.0);
    draw(pic,graph(pic,zerof,0,200),invisible);
    yaxis(pic,"$\lcr$",Right,LeftTicks(Label(fontsize(10pt)),Ticks=myticks));
  });
add(q);
xequals(100.39,ymin=0,ymax=75,dashed);
yequals(75,xmin=100.39,xmax=200,dashed);
dot(shift(2mm*N)*"Median",(100.39,0),NE,fontsize(8pt));
label(shift(5mm*N)*"Cumulative Number of Purchases vs Purchase Value",point(N),fontsize(10pt));
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 8

// Beginning of Asymptote Figure 9
eval(quote{
defaultfilename='intro_stats-9';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

import graph;
import stats;
size(180,180,IgnoreAspect);
real[] bins={0,20,40,60,80,100};
real[] binswzeros={-20,0,20,40,60,80,100,120};
real[] mids={-10,10,30,50,70,90,110};
real[] count={8,12,4,4,2};
real[] countwzeros={0.00001,8,12,4,4,2,0};
real zerof(real x) {return 0.0;}
ylimits(0,12);
histogram(binswzeros, countwzeros, bars=true);
xaxis("$\mbox{Wind Speed}(\mbox{km/h})$",xmin=min(bins)-(bins[1]-bins[0]),xmax=max(bins)+(bins[1]-bins[0]),Bottom,LeftTicks(Label(fontsize(10pt)),Ticks=bins));
yaxis("$\f$",Left,RightTicks(Label(fontsize(10pt))));
draw(graph(mids,countwzeros),black+1);
picture q=secondaryY(new void(picture pic) {
    ylimits(pic,0.0,12/(20*30));
    draw(pic,graph(pic,zerof,-20,120),invisible);
    yaxis(pic,"$\p\ (\mbox{h/km})$",Right,LeftTicks(Label(fontsize(10pt))));
  });
add(q);
xequals(30,ymin=0,ymax=12,dashed);
label(shift(5mm*N)*"Number of Days vs Maximum Wind Speed",point(N),fontsize(10pt));
dot(shift(2mm*N)*"Mode",(30,0),NW,fontsize(8pt));
dot(shift(.5mm*N)*"$\scriptstyle\smean$",(36.7,0),N);
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 9

// Beginning of Asymptote Figure 10
eval(quote{
defaultfilename='intro_stats-10';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

import graph;
import stats;
size(180,180,IgnoreAspect);
real[] bins={0,20,40,60,80,100};
real[] cumulative={0,8,20,24,28,30};
real[] myticks={0,.25,.50,.75,1};
real zerof(real x) {return 0.0;}
ylimits(0,max(cumulative));
draw(graph(bins,cumulative),black+1);
xaxis("$\mbox{Wind Speed}(\mbox{km/h})$",xmin=min(bins),xmax=max(bins),Bottom,LeftTicks(Label(fontsize(10pt)),Ticks=bins));
yaxis("$\lcf$",Left,RightTicks(Label(fontsize(10pt))));
picture q=secondaryY(new void(picture pic) {
    ylimits(pic,0.0,1.0);
    draw(pic,graph(pic,zerof,0,100),invisible);
    yaxis(pic,"$\lcr$",Right,LeftTicks(Label(fontsize(10pt)),Ticks=myticks));
  });
add(q);
xequals(31.7,ymin=0,ymax=15,dashed);
yequals(15,xmin=31.7,xmax=100,dashed);
label(shift(5mm*N)*"Cumulative Number of Days vs Wind Speed",point(N),fontsize(10pt));
dot(shift(2mm*N)*"Median",(31.7,0),NE,fontsize(8pt));
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 10

// Beginning of Asymptote Figure 11
eval(quote{
defaultfilename='intro_stats-11';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

// This imports our locally defined custom asymptote functions
import localstats;
size(200,100,IgnoreAspect);
int n=4;
real p=.5;
real mean=n*p;
real sigma=sqrt(n*p*(1-p));
real mybinomf(int k) {return binomf(n,p,k);}
int low=0, high=3;
drawbarrange(mybinomf,0,n);
drawbarrange(mybinomf,low,high,drawpen=invisible,fillpen=grey);
// Need axis last to be on top.
xaxis(-1,n+1,LeftTicks(Step=1,OmitFormat(-1,n+1),OmitTick(-1,n+1),Size=2),above=true);
yaxis("$P$",Left,RightTicks);
labelx("$\X$",n+1,E);
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 11

// Beginning of Asymptote Figure 12
eval(quote{
defaultfilename='intro_stats-12';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

import graph;
import stats;
size(400,200,IgnoreAspect);
real[] bins={169,171,173,175,177,179,181,183,185};
real[] mids={168,170,172,174,176,178,180,182,184,186};
real[] count={4,10,14,73,70,17,10,2};
real[] countwzeros={0,4,10,14,73,70,17,10,2,0};
real zerof(real x) {return 0.0;}
ylimits(0,73);
histogram(bins, count, bars=false);
xaxis("$\mbox{Height(cm)}$",xmin=min(bins)-(bins[1]-bins[0]),xmax=max(bins)+(bins[1]-bins[0]),Bottom,LeftTicks(Ticks=bins));
yaxis("$\f$",Left,RightTicks(trailingzero));
draw(graph(mids,countwzeros),black+dashed+1);
picture q=secondaryY(new void(picture pic) {
    ylimits(pic,0.0,73/(2*200));
    draw(pic,graph(pic,zerof,167,187),invisible);
    yaxis(pic,"$\p\ (1/\mbox{cm})$",Right,LeftTicks);
  });
add(q);
label(shift(5mm*N)*"Frequency ($\f$) and Probability Density ($\p$) Versus Height",point(N));
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 12

// Beginning of Asymptote Figure 13
eval(quote{
defaultfilename='intro_stats-13';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

import graph;
import stats;
size(400,200,IgnoreAspect);
real[] bins={169,171,173,175,177,179,181,183,185};
real[] mids={168,170,172,174,176,178,180,182,184,186};
real[] count={4,10,14,73,70,17,10,2};
real[] countwzeros={0,4,10,14,73,70,17,10,2,0};
real zerof(real x) {return 0.0;}
real normalf(real x) {return 1/(sqrt(2pi)*2.47)*exp(-.5((x-176.96)/2.47)^2);}
ylimits(0,73);
/*histogram(bins, count, bars=false);*/
xaxis("$\mbox{Height(cm)}$",xmin=min(bins)-(bins[1]-bins[0]),xmax=max(bins)+(bins[1]-bins[0]),Bottom,LeftTicks(Ticks=bins));
yaxis("$\f$",Left,RightTicks(trailingzero));
draw(graph(mids,countwzeros),dashed+1);
picture q=secondaryY(new void(picture pic) {
    ylimits(pic,0.0,73/(2*200));
    draw(pic,graph(pic,zerof,167,187),invisible);
    draw(pic,graph(pic,normalf,167,187),black+1.5);
    yaxis(pic,"$\p\ (1/\mbox{cm})$",Right,LeftTicks);
  });
add(q);
label(shift(5mm*N)*"Relative Frequency Density and Normal Curve",point(N));
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 13

// Beginning of Asymptote Figure 14
eval(quote{
defaultfilename='intro_stats-14';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

// This imports our locally defined custom asymptote functions
import localstats;
size(200,100,IgnoreAspect);
real mynormalf(real x) {return normalf(mean=0.0,sigma=1.0,x);}
real z=1.23;
drawfunc(mynormalf,-3.2,z,drawpen=black+1,fillpen=grey);
drawfunc(mynormalf,z,3.2,drawpen=black,fillpen=invisible);
// Need axis last to be on top.
xaxis(-3.2,3.3,LeftTicks(Step=1,OmitFormat(-3,-2,-1,1,2,3),OmitTick(),Size=2),above=true);
labelx("$\Z$",3.2,E);
real d=.05*mynormalf(0.0);
label(format(z), (z,-d),S);
draw((z,-d){up}..{up}(z,mynormalf(z)),black+1);
label("$P(\Z<1.23)=\mbox{Area}=\ ?$",(1.1,1.5*mynormalf(1.1)),E);
draw((1.1,1.5*mynormalf(1.1)){left}..{left}(.5,.7*mynormalf(1)),Arrow);
xequals(x=0, ymin=0, ymax=mynormalf(0), dashed);
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 14

// Beginning of Asymptote Figure 15
eval(quote{
defaultfilename='intro_stats-15';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

// This imports our locally defined custom asymptote functions
import localstats;
size(200,100,IgnoreAspect);
real mynormalf(real x) {return normalf(mean=0.0,sigma=1.0,x);}
real z=1.23;
drawfunc(mynormalf,-3.2,z,drawpen=black,fillpen=invisible);
drawfunc(mynormalf,z,3.2,drawpen=black+1,fillpen=grey);
// Need axis last to be on top.
xaxis(-3.2,3.3,LeftTicks(Step=1,OmitFormat(-3,-2,-1,1,2,3),OmitTick(),Size=2),above=true);
labelx("$\Z$",3.2,E);
real d=.05*mynormalf(0.0);
label(format(z), (z,-d),S);
draw((z,-d){up}..{up}(z,mynormalf(z)),black+1);
label("$P(1.23<\Z)=\mbox{Area}=\ ?$",(1.1,1.5*mynormalf(1.1)),E);
draw((1.7,2.5*mynormalf(1.7)){down}..{down}(1.7,.7*mynormalf(1.7)),Arrow);
xequals(x=0, ymin=0, ymax=mynormalf(0), dashed);
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 15

// Beginning of Asymptote Figure 16
eval(quote{
defaultfilename='intro_stats-16';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

// This imports our locally defined custom asymptote functions
import localstats;
size(200,100,IgnoreAspect);
real mynormalf(real x) {return normalf(mean=0.0,sigma=1.0,x);}
real z=-1.23;
drawfunc(mynormalf,-3.2,z,drawpen=black+1,fillpen=grey);
drawfunc(mynormalf,z,3.2,drawpen=black,fillpen=invisible);
// Need axis last to be on top.
xaxis(-3.2,3.3,LeftTicks(Step=1,OmitFormat(-3,-2,-1,1,2,3),OmitTick(),Size=2),above=true);
labelx("$\Z$",3.2,E);
real d=.05*mynormalf(0.0);
label(format(z), (z,-d),S);
draw((z,-d){up}..{up}(z,mynormalf(z)),black+1);
label("$P(\Z<-1.23)$",(1.1,1.5*mynormalf(1.1)),E);
draw((1.1,1.5*mynormalf(1.1)){left}..{left}(-1.7,.7*mynormalf(-1.7)),Arrow);
xequals(x=0, ymin=0, ymax=mynormalf(0), dashed);
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 16

// Beginning of Asymptote Figure 17
eval(quote{
defaultfilename='intro_stats-17';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

// This imports our locally defined custom asymptote functions
import localstats;
size(200,100,IgnoreAspect);
real mynormalf(real x) {return normalf(mean=0.0,sigma=1.0,x);}
real zlow=-0.80;
real zhigh=1.23;
drawfunc(mynormalf,-3.2,zlow,drawpen=black,fillpen=invisible);
drawfunc(mynormalf,zlow,zhigh,drawpen=black+1,fillpen=grey);
drawfunc(mynormalf,zhigh,3.2,drawpen=black,fillpen=invisible);
// Need axis last to be on top.
xaxis(-3.2,3.3,LeftTicks(Step=1,OmitFormat(-3,-2,-1,1,2,3),OmitTick(),Size=2),above=true);
labelx("$\Z$",3.2,E);
real d=.05*mynormalf(0.0);
label("-0.80", (zlow,-d),S);
draw((zlow,-d){up}..{up}(zlow,mynormalf(zlow)),black+1);
label(format(zhigh), (zhigh,-d),S);
draw((zhigh,-d){up}..{up}(zhigh,mynormalf(zhigh)),black+1);
label("$P(-0.80<\Z<1.23)$",(1.1,1.5*mynormalf(1.1)),E);
draw((1.1,1.5*mynormalf(1.1)){left}..{left}(.5,.7*mynormalf(1)),Arrow);
xequals(x=0, ymin=0, ymax=mynormalf(0), dashed);
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 17

// Beginning of Asymptote Figure 18
eval(quote{
defaultfilename='intro_stats-18';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

// This imports our locally defined custom asymptote functions
import localstats;
size(200,100,IgnoreAspect);
real mynormalf(real x) {return normalf(mean=0.0,sigma=1.0,x);}
real z=1.15;
drawfunc(mynormalf,-3.2,z,drawpen=black+1,fillpen=grey);
drawfunc(mynormalf,z,3.2,drawpen=black,fillpen=invisible);
// Need axis last to be on top.
xaxis(-3.2,3.3,LeftTicks(Step=1,OmitFormat(-3,-2,-1,1,2,3),OmitTick(),Size=2),above=true);
labelx("$\Z$",3.2,E);
real d=.05*mynormalf(0.0);
label("$\Z_{\s0}=?$", (z,-d),S);
draw((z,-d){up}..{up}(z,mynormalf(z)),black+1);
label("$P(\Z<\Z_{\s0})=\mbox{Area}=0.8500$",(1.1,1.5*mynormalf(1.1)),E);
draw((1.1,1.5*mynormalf(1.1)){left}..{left}(.5,.7*mynormalf(1)),Arrow);
label("$15\%=0.1500$",(1.5,1.5*mynormalf(1.5)),E);
draw((1.9,2.3*mynormalf(1.9)){down}..{down}(1.9,.7*mynormalf(1.9)),Arrow);
xequals(x=0, ymin=0, ymax=mynormalf(0), dashed);
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 18

// Beginning of Asymptote Figure 19
eval(quote{
defaultfilename='intro_stats-19';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

// This imports our locally defined custom asymptote functions
import localstats;
size(300,150,IgnoreAspect);
int n=15;
real p=.4;
real mean=n*p;
real sigma=sqrt(n*p*(1-p));
real mybinomf(int k) {return binomf(n,p,k);}
int low=3, high=7;
drawdiscreterange(mybinomf,0,n,dotpen=black,linepen=black);
// Need axis last to be on top.
xaxis(-1,n+1,LeftTicks(Step=1,OmitFormat(-1,n+1),OmitTick(-1,n+1),Size=2),above=true);
yaxis("$P$",Left,RightTicks);
labelx("$\X$",n+1,E);
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 19

// Beginning of Asymptote Figure 20
eval(quote{
defaultfilename='intro_stats-20';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

// This imports our locally defined custom asymptote functions
import localstats;
size(300,150,IgnoreAspect);
int n=15;
real p=.4;
real mean=n*p;
real sigma=sqrt(n*p*(1-p));
real mybinomf(int k) {return binomf(n,p,k);}
int low=3, high=7;
drawbarrange(mybinomf,0,n);
// Need axis last to be on top.
xaxis(-1,n+1,LeftTicks(Step=1,OmitFormat(-1,n+1),OmitTick(-1,n+1),Size=2),above=true);
yaxis("$\p$",Left,RightTicks);
labelx("$\X$",n+1,E);
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 20

// Beginning of Asymptote Figure 21
eval(quote{
defaultfilename='intro_stats-21';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

// This imports our locally defined custom asymptote functions
import localstats;
size(300,150,IgnoreAspect);
int n=15;
real p=.4;
real mean=n*p;
real sigma=sqrt(n*p*(1-p));
real mybinomf(int k) {return binomf(n,p,k);}
int low=3, high=7;
drawbarrange(mybinomf,0,n);
real mynormalf(real x) {return normalf(mean,sigma,x);}
drawfunc(mynormalf,-.5,n+.5,drawpen=black+1,fillpen=invisible);
// Need axis last to be on top.
xaxis(-1,n+1,LeftTicks(Step=1,OmitFormat(-1,n+1),OmitTick(-1,n+1),Size=2),above=true);
yaxis("$\p$",Left,RightTicks);
labelx("$\X$",n+1,E);
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 21

// Beginning of Asymptote Figure 22
eval(quote{
defaultfilename='intro_stats-22';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

// This imports our locally defined custom asymptote functions
import localstats;
size(300,150,IgnoreAspect);
int n=15;
real p=.4;
real mean=n*p;
real sigma=sqrt(n*p*(1-p));
real mybinomf(int k) {return binomf(n,p,k);}
int low=3, high=7;
drawbarrange(mybinomf,0,n);
drawbarrange(mybinomf,low,high,drawpen=invisible,fillpen=grey);
// Need axis last to be on top.
xaxis(-1,n+1,LeftTicks(Step=1,OmitFormat(-1,n+1),OmitTick(-1,n+1),Size=2),above=true);
yaxis("$\p$",Left,RightTicks);
labelx("$\X$",n+1,E);
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 22

// Beginning of Asymptote Figure 23
eval(quote{
defaultfilename='intro_stats-23';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

// This imports our locally defined custom asymptote functions
import localstats;
size(300,150,IgnoreAspect);
int n=15;
real p=.4;
real mean=n*p;
real sigma=sqrt(n*p*(1-p));
real mybinomf(int k) {return binomf(n,p,k);}
int low=3, high=7;
drawbarrange(mybinomf,0,n);
drawbarrange(mybinomf,low,high,drawpen=invisible,fillpen=grey);
real mynormalf(real x) {return normalf(mean,sigma,x);}
drawfunc(mynormalf,-.5,low-.5,drawpen=black+dashed,fillpen=invisible);
drawfunc(mynormalf,high+.5,n+.5,drawpen=black+dashed,fillpen=invisible);
drawfunc(mynormalf,low-.5,high+.5,drawpen=black+1,fillpen=invisible);
// Need axis last to be on top.
xaxis(-1,n+1,LeftTicks(Step=1,OmitFormat(-1,n+1),OmitTick(-1,n+1),Size=2),above=true);
yaxis("$\p$",Left,RightTicks);
labelx("$\X$",n+1,E);
real d=.2*mynormalf(mean);
label(format(low-.5), (low-.5,-d),S);
draw((low-.5,-d){up}..{up}(low-.5,0),Arrow);
label(format(high+.5), (high+.5,-d),S);
draw((high+.5,-d){up}..{up}(high+.5,0),Arrow);
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 23

// Beginning of Asymptote Figure 24
eval(quote{
defaultfilename='intro_stats-24';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

// This imports our locally defined custom asymptote functions
import localstats;
size(300,150,IgnoreAspect);
int n=15;
real p=.4;
real mean=n*p;
real sigma=sqrt(n*p*(1-p));
real mybinomf(int k) {return binomf(n,p,k);}
int low=3, high=7;
real mynormalf(real x) {return normalf(mean,sigma,x);}
drawfunc(mynormalf,-.5,low-.5,drawpen=black+dashed,fillpen=invisible);
drawfunc(mynormalf,high+.5,n+.5,drawpen=black+dashed,fillpen=invisible);
drawfunc(mynormalf,low-.5,high+.5,drawpen=black+1,fillpen=grey);
// Need axis last to be on top.
xaxis(-1,n+1,LeftTicks(Step=1,OmitFormat(-1,0,1,2,3,4,5,7,8,9,10,11,12,13,14,15,16),OmitTick(-1,n+1),Size=2),above=true);
yaxis("$\p$",Left,RightTicks);
labelx("$\X$",n+1,E);
real d=.2*mynormalf(mean);
label(format(low-.5), (low-.5,0),S);
draw((low-.5,-.3*d){up}..{up}(low-.5,0),Arrow(size=4));
label(format(high+.5), (high+.5,0),S);
draw((high+.5,-.3*d){up}..{up}(high+.5,0),Arrow(size=4));
picture q=secondaryX(new void(picture p) {
    scale(p,Linear,Linear);
    // Convert the limits of original x i.e. -1, n+1 to z
    xlimits(p,(-1-mean)/sigma,(n+1-mean)/sigma);
    // The ylimits lower limit is the location of the axis in the original
    // coordinates.  The upper coordinate is the upper end of the axis
    // in the original coordinates.  The distinct behaviour of xlimits
    // (here scaling) and ylimits (limiting an axis range) in this context
    // is baffling (but useful).
    ylimits(p,-d,1);
    //xaxis(p,Label("\Z",1),Bottom,LeftTicks(DefaultFormat,n=10));
    //xaxis(p,Label("\Z",(1,-d)),Bottom);
    xaxis(p,Bottom,LeftTicks(Size=2,n=1));
    labelx("$\Z$",(n+1,-d),E);
    label("$-1.85$", (low-.5,-2*d),S);
    draw((low-.5,-2*d){up}..{up}(low-.5,-d),Arrow(size=4));
    label("$0.79$", (high+.5,-2*d),S);
    draw((high+.5,-2*d){up}..{up}(high+.5,-d),Arrow(size=4));
  });
add(q,above=true);
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 24

// Beginning of Asymptote Figure 25
eval(quote{
defaultfilename='intro_stats-25';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

import graph;
  size(6cm,0);
  xaxis(xmin=0, xmax=10, arrow=Arrow(SimpleHead), LeftTicks(Label(fontsize(9pt)),Step=1, step=.5, OmitFormat(10), begin=false, end=false));
  labelx(scale(.7)*"$\X\ \left[\mbox{occupants}\right]$",(5,-.5),S);
  yaxis(ymin=0, ymax=6, arrow=Arrow(SimpleHead), LeftTicks(Label(fontsize(9pt)),Step=1, OmitFormat(0,6), begin=false, end=false));
  labely(scale(.7)*"$P(\X) \left[\frac{1}{16}\right]$",(-1,3),W);
  label(scale(.7)*minipage("\centering Distribution of Occupants\\ in Village", width=5cm),point(N));
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 25

// Beginning of Asymptote Figure 26
eval(quote{
defaultfilename='intro_stats-26';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

import graph;
  size(6cm,0);
  xaxis(xmin=0, xmax=10, arrow=Arrow(SimpleHead), LeftTicks(Label(fontsize(9pt)),Step=1, step=.5, OmitFormat(10), begin=false, end=false));
  labelx(scale(.7)*"$\smean\ \left[\mbox{occupants}\right]$",(5,-.5),S);
  yaxis(ymin=0, ymax=6, arrow=Arrow(SimpleHead), LeftTicks(Label(fontsize(9pt)), Step=1, OmitFormat(0,6), begin=false, end=false));
  labely(scale(.7)*"$P(\smean) \left[\frac{1}{16}\right]$",(-1,3),W);
  label(scale(.7)*shift(5mm*N)*minipage("\centering Distribution of Mean Number of Occupants in Samples (\ns=2)",width=5cm),point(N));
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 26

// Beginning of Asymptote Figure 27
eval(quote{
defaultfilename='intro_stats-27';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

import graph;
size(250,120,IgnoreAspect);
// Degrees of freedom for our F distribution probability density function.
// Chi2 is the same as F with df2=infinity and some scaling factor.
// The overall shape is the same as F so I just used df2=6 here rather
// than infinity.
real df1;
real df2;
real[] mytick={2.5};
df1=6.0;
df2=6.0;
// This coefficient is calculated once and for all for our F distribution.
real Fcoeff;
Fcoeff=gamma((df1+df2)/2)*(df1/df2)**(df1/2)/(gamma(df1/2)*gamma(df2/2));
real zerof(real x) {return 0.0;}
// We calculate the F pdf as asymptote doesn't have it.
real Fpdf(real x) {return Fcoeff*x**(df1/2-1)/(1+df1*x/df2)**((df1+df2)/2);}
path g=graph(Fpdf,2.5,3.3,operator --)--(3.3,0)--(2.5,0)--cycle;
filldraw(g,grey);
draw(graph(Fpdf,0,3.3),black+1.5);
ylimits(0,1.5*Fpdf(1));
xaxis(Bottom,above=true);
//xaxis(YEquals(-1*Fpdf(2.7)),above=true);
yequals(0.0,xmax=3.45,arrow=EndArrow);
yequals(-1.5*Fpdf(2.7),xmax=3.45,arrow=EndArrow,ticks=Ticks(Ticks=mytick,OmitFormat(2.5),Size=4));
yaxis(Left);
label("$\svar=\MSTOT$", (3.5,.2*Fpdf(2.7)),E);
label("$\chisqrcrit$", (2.63,-1.25*Fpdf(2.7)),S);
label("$\chisqr$", (3.5,-1.25*Fpdf(2.7)),E);
label("0",(0,0),S);
label("$\sig$",(3.25,2*Fpdf(2.5)),E);
draw((3.25,2*Fpdf(2.5)){left}..{left}(2.7,.5*Fpdf(2.7)),Arrow);
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 27

// Beginning of Asymptote Figure 28
eval(quote{
defaultfilename='intro_stats-28';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

import graph;
size(250,120,IgnoreAspect);
// Degrees of freedom for our F distribution probability density function.
real df1;
real df2;
df1=6.0;
df2=6.0;
// This coefficient is calculated once and for all for our F distribution.
real Fcoeff;
Fcoeff=gamma((df1+df2)/2)*(df1/df2)**(df1/2)/(gamma(df1/2)*gamma(df2/2));
real zerof(real x) {return 0.0;}
// We calculate the F pdf as asymptote doesn't have it.
real Fpdf(real x) {return Fcoeff*x**(df1/2-1)/(1+df1*x/df2)**((df1+df2)/2);}
path g=graph(Fpdf,2.5,3.5,operator --)--(3.5,0)--(2.5,0)--cycle;
filldraw(g,grey);
draw(graph(Fpdf,0,3.5),black+1.5);
ylimits(0,1.5*Fpdf(1));
xaxis(Bottom,above=true);
yaxis(Left);
label("$\Fcrit$", (2.63,0),S);
label("$\F$", (3.5,0),E);
label("0",(0,0),S);
label("$\sig$",(3.25,2*Fpdf(2.5)),E);
draw((3.25,2*Fpdf(2.5)){left}..{left}(2.7,.5*Fpdf(2.7)),Arrow);
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 28

// Beginning of Asymptote Figure 29
eval(quote{
defaultfilename='intro_stats-29';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

import graph;
size(250,120,IgnoreAspect);
// Degrees of freedom for our F distribution probability density function.
// Chi2 is the same as F with df2=infinity and some scaling factor.
// The overall shape is the same as F so I just used df2=6 here rather
// than infinity.
real df1;
real df2;
real[] mytick={2.5};
df1=6.0;
df2=6.0;
// This coefficient is calculated once and for all for our F distribution.
real Fcoeff;
Fcoeff=gamma((df1+df2)/2)*(df1/df2)**(df1/2)/(gamma(df1/2)*gamma(df2/2));
real zerof(real x) {return 0.0;}
// We calculate the F pdf as asymptote doesn't have it.
real Fpdf(real x) {return Fcoeff*x**(df1/2-1)/(1+df1*x/df2)**((df1+df2)/2);}
path g=graph(Fpdf,2.5,3.3,operator --)--(3.3,0)--(2.5,0)--cycle;
filldraw(g,grey);
draw(graph(Fpdf,0,3.3),black+1.5);
ylimits(0,1.5*Fpdf(1));
xaxis(Bottom,above=true);
//xaxis(YEquals(-1*Fpdf(2.7)),above=true);
yequals(0.0,xmax=3.45,arrow=EndArrow);
yequals(-1.5*Fpdf(2.7),xmax=3.45,arrow=EndArrow,ticks=Ticks(Ticks=mytick,OmitFormat(2.5),Size=4));
yaxis(Left);
label("$\MST\ (\mbox{hour}^2)$", (3.5,.2*Fpdf(2.7)),E);
//label("$\Fcrit=3.555$", (2.63,-1.25*Fpdf(2.7)),S);
label("$\Fcrit=3.555$", (2.93,-1.7*Fpdf(2.7)),S);
label("$\F$", (3.5,-1.5*Fpdf(2.7)),E);
label("0",(0,0),S);
label("$\sig=0.05$",(3.25,2*Fpdf(2.5)),E);
draw((3.25,2*Fpdf(2.5)){left}..{left}(2.7,.5*Fpdf(2.7)),Arrow);
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 29

// Beginning of Asymptote Figure 30
eval(quote{
defaultfilename='intro_stats-30';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

import graph;
size(200,200,IgnoreAspect);
pair[] f={(20,64),(16,61),(34,84),(23,70),(27,88),(32,92),(18,72),(22,77)};
dot(f);
real upper=40.0;
xlimits(0,upper);
ylimits(0,100);
xequals(35,ymin=40,ymax=92,black+dotted+1);
yequals(40,xmin=0,xmax=35,black+dotted+1);
draw((0,40.08)..(upper,40.08+1.497*upper),black+dashed);
xaxis("Study Time (hours)",Bottom,LeftTicks(OmitTick(upper)));
yaxis("Grade (\%)",Left,RightTicks);
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 30

// Beginning of Asymptote Figure 31
eval(quote{
defaultfilename='intro_stats-31';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

import graph;
import stats;
// The zerof and invisible draw below are to make the right axis be
// properly aligned.
size(300,75,IgnoreAspect);
real[] bins={-.5,.5,1.5,2.5,3.5,4.5,5.5,6.5,7.5};
real[] mids={-1,0,1,2,3,4,5,6,7,8};
real[] myticks={0,1,3};
//Do binomial for n=7, p=.35
real[] count={0.049,0.185,0.298,0.268,0.144,0.047,0.008,0.001};
real[] countwzeros={0,0.049,0.185,0.298,0.268,0.144,0.047,0.008,0.001,0};
real zerof(real x) {return 0.0;}
ylimits(0,.3);
fill((-.5,0)--(.5,0)--(.5,.049)--(-.5,.049)--cycle, grey);
fill((.5,0)--(1.5,0)--(1.5,.185)--(.5,.185)--cycle, grey);
fill((1.5,0)--(2.5,0)--(2.5,.298)--(1.5,.298)--cycle, grey);
fill((2.5,0)--(3.5,0)--(3.5,.268)--(2.5,.268)--cycle, grey);
histogram(bins, count, bars=true);
xaxis("",xmin=min(bins)-(bins[1]-bins[0]),xmax=max(bins)+(bins[1]-bins[0]),Bottom,LeftTicks(Ticks=myticks,OmitFormat(0,1,3)), above=true);
yaxis("",Left);
label("$0$",(0,0),S);
label("$1$",(1,0),S);
label("$\cdots$",(2,-.02),S);
label("$\K$",(3,0),S);
label("$\X$",(8.3,0),S);
label("$P(\X)$",(-1.5,.3),W);
label("$P(\X\le\K)=\mbox{Area}=P(0)+P(1)+\ldots + P(\K)$",(4,.3),E);
draw((4,.3){left}..{left}(1.7,.16),Arrow);
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 31

// Beginning of Asymptote Figure 32
eval(quote{
defaultfilename='intro_stats-32';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

import graph;
import stats;
//size(300,100,IgnoreAspect);
size(200,60,IgnoreAspect);
real zerof(real x) {return 0.0;}
real normalf(real x) {return 1/(sqrt(2pi)*1)*exp(-.5((x-0)/1)^2);}
path g=graph(normalf,-3.0,1.23,operator --)--(1.23,0)--(-3,0)--cycle;
filldraw(g,grey);
draw(graph(normalf,-3,3),black+1.5);
ylimits(0,1.2*normalf(0));
xaxis(Bottom,LeftTicks(Step=1,OmitFormat(-2,-1,0,1,2),OmitTick(-3,3),Size=3),above=true);
labelx("$\Z$", (3,0),E);
label("1.23",(1.23,0),S);
label("0",(0,0),S);
label("$P(\Z<1.23)=\mbox{Area}=0.8907$",(1.1,1.5*normalf(1.1)),E);
draw((1.1,1.5*normalf(1.1)){left}..{left}(.5,.7*normalf(1)),Arrow);
xequals(x=0, ymin=0, ymax=normalf(0), dashed);
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 32

// Beginning of Asymptote Figure 33
eval(quote{
defaultfilename='intro_stats-33';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

import graph;
import stats;
size(115,80,IgnoreAspect);
real zerof(real x) {return 0.0;}
real normalf(real x) {return 1/(sqrt(2pi)*1)*exp(-.5((x-0)/1)^2);}
path g=graph(normalf,-1.23,1.23,operator --)--(1.23,0)--(-1.23,0)--cycle;
filldraw(g,grey);
draw(graph(normalf,-3,3),black+1.5);
ylimits(0,1.2*normalf(0));
xaxis(Bottom,LeftTicks(Step=1,OmitFormat(-2,-1,0,1,2),OmitTick(-3,3),Size=3),above=true);
label("$\T$",(1.23,0),S);
label("$-\T$",(-1.35,0),S);
label("Confidence Interval",(0,-.25*normalf(0)),S);
label("\conf",(1.1,1.5*normalf(1.1)),E);
draw((1.1,1.5*normalf(1.1)){left}..{left}(.5,.7*normalf(1)),Arrow);
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 33

// Beginning of Asymptote Figure 34
eval(quote{
defaultfilename='intro_stats-34';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

import graph;
import stats;
size(115,80,IgnoreAspect);
real zerof(real x) {return 0.0;}
real normalf(real x) {return 1/(sqrt(2pi)*1)*exp(-.5((x-0)/1)^2);}
path g=graph(normalf,-3.00,-1.23,operator --)--(-1.23,0)--(-3.00,0)--cycle;
filldraw(g,grey);
draw(graph(normalf,-3,3),black+1.5);
ylimits(0,1.2*normalf(0));
xaxis(Bottom,LeftTicks(Step=1,OmitFormat(-2,-1,0,1,2),OmitTick(-3,3),Size=3),above=true);
label("$-\T$",(-1.35,0),S);
label("Left-tailed Test",(0,-.25*normalf(0)),S);
label("$\sig$",(-2.5,6*normalf(-2.5)),W);
draw((-2.5,6*normalf(-2.5)){right}..{right}(-1.5,.3*normalf(-1.5)),Arrow);
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 34

// Beginning of Asymptote Figure 35
eval(quote{
defaultfilename='intro_stats-35';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

import graph;
import stats;
size(115,80,IgnoreAspect);
real zerof(real x) {return 0.0;}
real normalf(real x) {return 1/(sqrt(2pi)*1)*exp(-.5((x-0)/1)^2);}
path g=graph(normalf,3.00,1.23,operator --)--(1.23,0)--(3.00,0)--cycle;
filldraw(g,grey);
draw(graph(normalf,-3,3),black+1.5);
ylimits(0,1.2*normalf(0));
xaxis(Bottom,LeftTicks(Step=1,OmitFormat(-2,-1,0,1,2),OmitTick(-3,3),Size=3),above=true);
label("$\T$",(1.23,0),S);
label("Right-tailed Test",(0,-.25*normalf(0)),S);
label("$\sig$",(2.5,6*normalf(2.5)),E);
draw((2.5,6*normalf(2.5)){left}..{left}(1.5,.3*normalf(1.5)),Arrow);
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 35

// Beginning of Asymptote Figure 36
eval(quote{
defaultfilename='intro_stats-36';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

import graph;
import stats;
size(115,80,IgnoreAspect);
real zerof(real x) {return 0.0;}
real normalf(real x) {return 1/(sqrt(2pi)*1)*exp(-.5((x-0)/1)^2);}
path g=graph(normalf,3.00,1.23,operator --)--(1.23,0)--(3.00,0)--cycle;
filldraw(g,grey);
path g=graph(normalf,-3.00,-1.23,operator --)--(-1.23,0)--(-3.00,0)--cycle;
filldraw(g,grey);
draw(graph(normalf,-3,3),black+1.5);
ylimits(0,1.2*normalf(0));
xaxis(Bottom,LeftTicks(Step=1,OmitFormat(-2,-1,0,1,2),OmitTick(-3,3),Size=3),above=true);
label("$\T$",(1.23,0),S);
label("$-\T$",(-1.35,0),S);
label("Two-tailed Test",(0,-.25*normalf(0)),S);
label("$\frac{\sig}{2}$",(-2.5,6*normalf(-2.5)),W);
draw((-2.5,6*normalf(-2.5)){right}..{right}(-1.5,.3*normalf(-1.5)),Arrow);
label("$\frac{\sig}{2}$",(2.5,6*normalf(2.5)),E);
draw((2.5,6*normalf(2.5)){left}..{left}(1.5,.3*normalf(1.5)),Arrow);
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 36

// Beginning of Asymptote Figure 37
eval(quote{
defaultfilename='intro_stats-37';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

import graph;
size(125,60,IgnoreAspect);
// Degrees of freedom for our F distribution probability density function.
real df1;
real df2;
df1=6.0;
df2=6.0;
// This coefficient is calculated once and for all for our F distribution.
real Fcoeff;
Fcoeff=gamma((df1+df2)/2)*(df1/df2)**(df1/2)/(gamma(df1/2)*gamma(df2/2));
real zerof(real x) {return 0.0;}
// We calculate the F pdf as asymptote doesn't have it.
real Fpdf(real x) {return Fcoeff*x**(df1/2-1)/(1+df1*x/df2)**((df1+df2)/2);}
path g=graph(Fpdf,2.5,3.5,operator --)--(3.5,0)--(2.5,0)--cycle;
filldraw(g,grey);
draw(graph(Fpdf,0,3.5),black+1.5);
ylimits(0,1.5*Fpdf(1));
xaxis(Bottom,above=true);
yaxis(Left);
label("$\F$", (2.5,0),S);
label("0",(0,0),S);
label("$\sig$",(3.2,2*Fpdf(2.5)),E);
draw((3.25,2*Fpdf(2.5)){left}..{left}(2.7,.5*Fpdf(2.7)),Arrow);
viewportsize=(443.57848pt,0);
});
// End of Asymptote Figure 37
